probe::netfilter.bridge.forward
Prev | Chapter 13. Networking Tapset | Next

## Name

probe::netfilter.bridge.forward — Called on an incoming bridging packet destined for some other computer

## Synopsis

    netfilter.bridge.forward

## Values

`nf_accept`

  Constant used to signify an 'accept' verdict

`br_rmac`

  Root bridge MAC address

`br_vid`

  Protocol version identifier

`nf_repeat`

  Constant used to signify a 'repeat' verdict

`br_type`

  BPDU type

`br_flags`

  BPDU flags

`length`

  The length of the packet buffer contents, in bytes

`protocol`

  Packet protocol

`br_cost`

  Total cost from transmitting bridge to root

`br_htime`

  Hello time in 1/256 secs

`br_max`

  Max age in 1/256 secs

`llcpdu`

  Address of LLC Protocol Data Unit

`pf`

  Protocol family -- always “bridge”

`outdev_name`

  Name of network device packet will be routed to (if known)

`br_rid`

  Identity of root bridge

`nf_stop`

  Constant used to signify a 'stop' verdict

`data_str`

  A string representing the packet buffer contents

`indev_name`

  Name of network device packet was received on (if known)

`br_mac`

  Bridge MAC address

`br_msg`

  Message age in 1/256 secs

`llcproto_stp`

  Constant used to signify Bridge Spanning Tree Protocol packet

`nf_stolen`

  Constant used to signify a 'stolen' verdict

`nf_drop`

  Constant used to signify a 'drop' verdict

`br_poid`

  Port identifier

`br_bid`

  Identity of bridge

`brhdr`

  Address of bridge header

`br_fd`

  Forward delay in 1/256 secs

`br_prid`

  Protocol identifier

`outdev`

  Address of net_device representing output device, 0 if unknown

`nf_queue`

  Constant used to signify a 'queue' verdict

`indev`

  Address of net_device representing input device, 0 if unknown

`data_hex`

  A hexadecimal string representing the packet buffer contents

Prev | Up | Next
probe::netfilter.arp.out | Home | probe::netfilter.bridge.local_in